> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/api/about.md).

# Acerca de

Universal ofrece la posibilidad de definir endpoints de API REST mediante PowerShell. Cuando los endpoints se ejecutan mediante un cliente HTTP compatible, el script de PowerShell se ejecuta y devuelve el resultado al usuario final.

{% hint style="info" %}
Esta función sirve para desarrollar APIs personalizadas ejecutadas por Universal. No es necesaria para gestionar Universal. Universal proporciona un conjunto de APIs de gestión que se incluyen con la plataforma.
{% endhint %}

## Entorno de ejecución

El entorno de ejecución de la API REST se ejecuta en su versión predeterminada de PowerShell. A diferencia de los trabajos de Automation, que también pueden ejecutarse a través de la API de gestión de Universal, las APIs que usted define se ejecutan en un único proceso de PowerShell. Como el proceso de PowerShell no se inicia y se detiene con cada llamada al endpoint, la API es mucho más rápida.

Puede definir el [entorno ](/powershell-universal/es/config/environments.md)que ejecuta el proceso de la API de PowerShell Universal especificando `-ApiEnvironment` en `Set-PSUSetting`. Cambiar esta configuración provocará el reinicio del proceso de la API.

```powershell
Set-PSUSetting -ApiEnvironment '7.1'
```

### Entorno por endpoint

También puede definir el entorno utilizado especificando el Environment en el propio endpoint.

```powershell
New-PSUEndpoint -Url /environment -Environment Integrated -Endpoint {
    $PSUEnvironment
}
```

### Rendimiento

El rendimiento es relativo al hardware y a las condiciones de red en las que ejecuta Universal. Dicho esto, en condiciones ideales puede esperar que las APIs de Universal atiendan unas 500 solicitudes por segundo. Esto es con un endpoint completamente vacío, por lo que cualquier script que añada a ese endpoint reducirá el rendimiento. La reducción del rendimiento dependerá de los cmdlets y del script ejecutados dentro del endpoint de la API. No existe un límite estricto.

Consulte el [blog de Devolutions](https://devolutions.net/blog/) para obtener información detallada sobre las pruebas de referencia de las APIs de Universal.

### Variables

Las variables se enumeran en la [página de variables](/powershell-universal/es/plataforma/variables.md#api).

## API

* [New-PSUEndpoint](/powershell-universal/es/comandos-de-powershell/new-psuendpoint.md)
* [Get-PSUEndpoint](/powershell-universal/es/comandos-de-powershell/get-psuendpoint.md)
* [Remove-PSUEndpoint](/powershell-universal/es/comandos-de-powershell/remove-psuendpoint.md)
* [Set-PSUSetting](/powershell-universal/es/comandos-de-powershell/set-psusetting.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/api/about.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
